package com.steerinfo.ems.emsehistory.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;

@ApiModel(value="null")
public class EmsEHistory implements IBasePO<Long> {
    @ApiModelProperty(value="",required=true)
    private Long eId;

    @ApiModelProperty(value="",required=false)
    private String eLine;

    @ApiModelProperty(value="",required=false)
    private String eData;

    @ApiModelProperty(value="",required=false)
    private Date eDate;

    @ApiModelProperty(value="",required=false)
    private Date eCreatedate;

    private static final long serialVersionUID = 1L;

    @Override
    public Long getId() {
        return this.eId;
    }

    @Override
    public void setId(Long eId) {
        this.eId = eId;
    }

    public Long geteId() {
        return eId;
    }

    public void seteId(Long eId) {
        this.eId = eId;
    }

    public String geteLine() {
        return eLine;
    }

    public void seteLine(String eLine) {
        this.eLine = eLine == null ? null : eLine.trim();
    }

    public String geteData() {
        return eData;
    }

    public void seteData(String eData) {
        this.eData = eData == null ? null : eData.trim();
    }

    public Date geteDate() {
        return eDate;
    }

    public void seteDate(Date eDate) {
        this.eDate = eDate;
    }

    public Date geteCreatedate() {
        return eCreatedate;
    }

    public void seteCreatedate(Date eCreatedate) {
        this.eCreatedate = eCreatedate;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", eId=").append(eId);
        sb.append(", eLine=").append(eLine);
        sb.append(", eData=").append(eData);
        sb.append(", eDate=").append(eDate);
        sb.append(", eCreatedate=").append(eCreatedate);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}